%undefine __libtoolize
%define base_name	kde-styles
%define theme_name	plastik
%define name		%base_name-%theme_name

Name: %name
Version: 0.3.8
Release: alt1

Group: Graphical desktop/KDE
Summary: A KDE widget style for KDE 3.x
License: GPL
Url: http://kde-look.org/usermanager/search.php?username=ceebx

Requires: kdelibs-gcc_compiled = %__gcc_version_base

Source: %theme_name-%version.tar.bz2

# Automatically added by buildreq on Thu Aug 28 2003
BuildRequires: XFree86-devel XFree86-libs fontconfig freetype2 gcc-c++ kde-settings kdebase-devel kdelibs-devel libGLU libGLwrapper libart_lgpl-devel libarts-devel libaudio libexpat libjpeg-devel liblcms libmng libpng-devel libqt3-devel libstdc++-devel qt3-designer zlib-devel
BuildRequires: kdelibs-gcc_compiled = %__gcc_version_base

%description
"Plastik" is a KDE widget style for KDE 3.x based on the
KDE style dotNET;

%prep
%setup -q -n %theme_name-%version
[ -f Makefile.dist ] && make -f Makefile.dist

%build
export CFLAGS="$RPM_OPT_FLAGS" CPPFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS"
%configure \
    --disable-debug \
    --disable-rpath \
    --enable-final
%make

%install
%makeinstall

%files
%doc AUTHORS ChangeLog README TODO
%_libdir/kde3/*.la
%_libdir/kde3/*.so*
%dir %_libdir/kde3/plugins/styles/
%_libdir/kde3/plugins/styles/*.la
%_libdir/kde3/plugins/styles/*.so*
#
%dir %_datadir/apps/kdisplay/color-schemes
%_datadir/apps/kdisplay/color-schemes/*.kcsrc
%dir %_datadir/apps/kstyle/themes
%_datadir/apps/kstyle/themes/*.themerc
%dir %_datadir/apps/kwin
%_datadir/apps/kwin/*.desktop


%changelog
* Wed Oct 01 2003 Sergey V Turchin <zerg at altlinux dot org> 0.3.8-alt1
- new version

* Thu Aug 28 2003 Sergey V Turchin <zerg at altlinux dot org> 0.3.1-alt1
- build for ALT

* Mon Aug 25 2003 Laurent Culioli <laurent@pschit.net> 0.2.2-1mdk
- initial release

